"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const restults_1 = require("./restults");
const index_1 = require("./index");
/**
 * Base Controller.
 *
 * @export
 * @class Controller
 */
class BaseController {
    view(viewName, model) {
        return new restults_1.ViewResult(viewName, model);
    }
    file(file, contentType, fileDownloadName) {
        return new restults_1.FileResult(file, contentType, fileDownloadName);
    }
    /**
     * Perform a 302 redirect to `url`.
     *
     * The string "back" is special-cased
     * to provide Referrer support, when Referrer
     * is not present `alt` or "/" is used.
     *
     * Examples:
     *
     *    this.redirect('back');
     *    this.redirect('back', '/index.html');
     *    this.redirect('/login');
     *    this.redirect('http://google.com');
     * @param {string} url
     * @param {string} [alt]
     * @returns
     * @memberof BaseController
     */
    redirect(url, alt) {
        return new index_1.RedirectResult(url, alt);
    }
}
exports.BaseController = BaseController;

//# sourceMappingURL=sourcemaps/BaseController.js.map
