import { IComponent, Composite, IContainer } from 'tsioc';
import { IContext } from '../IContext';
import { IRoute } from './IRoute';
/**
 * base route.
 *
 * @export
 * @class BaseRoute
 * @extends {Composite}
 * @implements {IRoute}
 */
export declare abstract class BaseRoute extends Composite implements IRoute {
    url: string;
    constructor(route: string);
    add(node: IRoute): IRoute;
    cutEmptyPath(routPath: string, foreNull?: boolean): string;
    match(ctx: IContext | string): IRoute;
    abstract navigating(container: IContainer, ctx: IContext): Promise<any>;
    empty(): IComponent;
}
